Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question

From: Juri Linkov <[email-masked]>
Date: Mon, 25 Apr 2022 18:40:17 +0300

>> I see that you added help using `help-form'.  Is it displayed only
>> when yes-or-no-p is customized to use short answers with y-or-n-p?
>> So by default users won't see help?
>
> I thought help-form was used when doing short answers, too?  But I
> haven't checked -- if not, I think that's a bug.

help-form is used only with short answers by y-or-n-p.
Maybe yes-or-no-p should support help-form as well?
For example, by allowing to type "help":

  Use a new buffer? (yes, no or help)